#include <iostream>

using namespace std;

int main()
{
    int t;
    cin >> t;
    for (int i = 0; i < t; i++)
    {
        int n;
        int x;
        cin >> n;
        for (int i = 0; i < n; i++)
        {
            cin >> x;
        }
        for (int i = 0; i < n; i++)
        {
            cin >> x;
        }

    }



    for (int i = 0; i < t; i++)
    {
        cout << "NE" << endl;
    }

    return 0;
}